load('forplots_exploison.mat');
%load('forplots_earthquake.mat');
%load('forplots_sp500.mat');
%load('forplots_sp500abs.mat');

figure(1); 
subplot(2,2,1); %
plot([1:N1],mydata); xlim([1 N1]); title(mydata_title); xlabel('time');
subplot(2,2,2); % time-frequency estimates in mesh
s1=mesh(f_res1);title('Time-frequency Estimates'); xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]); xlabel('time');ylabel('freq');
subplot(2,2,3); % time-frequency estimates in surface
surface(f_res1);title('Time-frequency Estimates'); xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]);
[X,Y]=meshgrid(1:Cn1,1:Bn1);xlabel('time');ylabel('freq');
subplot(2,2,4); % 95% upper lower band in one plot
s1=surf(X,Y,f_res1_up1); alpha(s1,0.2); 
title('95% Confidence Region');xlim([1 Cn1]); ylim([1 Bn1]);
hold on
s2=surf(X,Y,f_res1_down1); alpha(s2,0.8); 
xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]); xlabel('time');ylabel('freq');
hold off



figure(2); 
subplot(2,2,1); %
plot([1:N1],mydata); xlim([1 N1]); title(mydata_title); xlabel('time');
subplot(2,2,2); % time-frequency estimates in mesh
s1=mesh(f_res1);title('Time-frequency Estimates'); xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]); xlabel('time');ylabel('freq');
subplot(2,2,3); % time-frequency estimates in surface
surface(f_res1);title('Time-frequency Estimates'); xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]);
[X,Y]=meshgrid(1:Cn1,1:Bn1);xlabel('time');ylabel('freq');




figure(3); 
subplot(2,2,1); %
s1=mesh(f_res1);title('Time-frequency Estimates'); xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]); xlabel('time');ylabel('freq'); 
%hold on
%s2=surf(X,Y,f_res1_down1); alpha(s2,0.8); 
%xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]); xlabel('time');ylabel('freq');
%hold off
subplot(2,2,2); % time-frequency estimates in mesh
s1=surf(X,Y,f_res1_up1); alpha(s1,0.2); 
title('95% Confidence Region');xlim([1 Cn1]); ylim([1 Bn1]);
hold on
s2=surf(X,Y,f_res1_down1); alpha(s2,0.8); 
xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]); xlabel('time');ylabel('freq');
hold off
subplot(2,2,3); % time-frequency estimates in surface
s1=surf(X,Y,f_res1_up1); alpha(s1,0.2); 
title('95% Confidence Region');xlim([1 Cn1]); ylim([1 Bn1]);
hold on
s2=surf(X,Y,f_res1_down1); alpha(s2,0.8); 
xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]); xlabel('time');ylabel('freq');
hold off
[X,Y]=meshgrid(1:Cn1,1:Bn1);xlabel('time');ylabel('freq');
subplot(2,2,4); % 95% upper lower band in one plot
s1=surf(X,Y,f_res1_up1); alpha(s1,0.2); 
title('95% Confidence Region');xlim([1 Cn1]); ylim([1 Bn1]);
hold on
s2=surf(X,Y,f_res1_down1); alpha(s2,0.8); 
xlim([1 Cn1]); ylim([1 Bn1]); zlim([0 inf]); xlabel('time');ylabel('freq');
hold off