function [ll1,rr1,ll2,rr2,my_maxdev,avgboot]=my_bootstrap_fft(u_vec,N,n,BnFFT,Bn,MonteCarlo,per1,per2)
u_len=length(u_vec);
t_len=Bn;
%% debug
if u_len~=size(u_vec,1) 
    disp('error in my_boostrap: u should be column vector');
    ll=nan; rr=nan;
    return
end
%%
Total_pair=u_len*t_len;
%u_and_theta=[repmat(u_vec,t_len,1),vec(repmat(theta_vec,1,u_len)')];
%size(u_and_theta);
%u=u_vec(1); %TODO: change to maximum later
%theta=theta_vec(1); 
myboot=zeros(MonteCarlo,Total_pair); %TODO: change 1 to length(u_vec)*length(theta_vec) later
for ii=1:MonteCarlo
    epsilon=normrnd(0,1,N,1); %epsilon
    epsilon=epsilon-mean(mean(epsilon)); %remove the mean
    for jj=1:u_len
        u=u_vec(jj);
        myboot(ii,(jj-1)*t_len+1:jj*t_len)=my_spectral_estimate_fft(epsilon,n,BnFFT,Bn,u)';
    end
end
%myboot=sort(myboot,'ascend');
%% bootstrap using avgboot in the denominator
avgboot=mean(myboot,1);
%avgboot

myboot=(myboot./repmat(avgboot,MonteCarlo,1)-1).^2; % (myboot-avgboot)^2/avgboot^2

%myboot=(1-repmat(avgboot,MonteCarlo,1)./myboot).^2; %temp (not used)
%myboot=log(myboot./repmat(avgboot,MonteCarlo,1)).^2; %temp (not used)
my_maxdev=max(myboot,[],2);
my_maxdev=sort(my_maxdev,'ascend');

%%
%left_index=max(round(MonteCarlo*((1-per)/2)),1);
right_index1=floor(MonteCarlo*per1);
right_index2=floor(MonteCarlo*per2);
%ll=my_maxdev(left_index);
ll1=0;
ll2=0;
rr1=my_maxdev(right_index1);
rr2=my_maxdev(right_index2);