function X=my_true_model(N)
%% true model for accuracy 
    epsilon=normrnd(0,1,N,1); %epsilon
    X=epsilon;
    %%
    for iii=2:N 
        %% pure test model for tvAR simulation6
        %%%%%X(iii)=(0+0.3*(iii/N))*X(iii-1)+(1+0.3*iii/N+0.2*(iii/N)^2)*epsilon(iii);  
        %% the time-varying AR model:  X[i]=0.3*cos(2*pi*(i/N))X[i-1]+e[i]
        %X(iii)=0.3*cos(2*pi*(iii/N))*X(iii-1)+epsilon(iii);
        %% the time-varying white noise: 
        %X(iii)=epsilon(iii)*sqrt(0.6+0.3*sin(pi*iii/N)*(X(iii-1)^2));
        %% Markov Switching model:
         S(1)=0; %initial state
         P=[0.9, 0.5]; % transition kernel [P(1), 1-P(1); P(2), 1-P(2)];
         S(iii)=(rand>P(S(iii-1)+1)); % if S(i-1)=0, then S(i)=(rand>P(1)); otherwise rand>P(2)
         X(iii)=(1-S(iii))*0.4*cos(2*pi*(iii/N))*X(iii-1)+S(iii)*0.1*sin(2*pi*(iii/N))*X(iii-1)+epsilon(iii); 
        %% time-varying threshold AR model
        %X(iii)=0.3*cos(2*pi*(iii/N))*max(0,X(iii-1))+0.3*sin(2*pi*(iii/N))*max(0,-X(iii-1))+epsilon(iii);
        %% time-varying Bilinear process
        %X(iii)=0.3*cos(2*pi*(iii/N))*X(iii-1)+epsilon(iii)+0.1*sin(2*pi*(iii/N))*X(iii-1)*epsilon(iii-1);
    end
    X=X-mean(mean(X)); %subtract the mean; centralized before return the generated sequence