function [ll,rr]=my_bootstrap(u_vec,theta_vec,N,n,Bn,MonteCarlo,per)
u_len=length(u_vec);
t_len=length(theta_vec);
%% debug
if u_len~=size(u_vec,1) | t_len~=size(theta_vec,1)
    disp('error in my_boostrap: u and theta should be column vector');
    ll=nan; rr=nan;
    return
end
%%
Total_pair=u_len*t_len;
u_and_theta=[repmat(u_vec,t_len,1),vec(repmat(theta_vec,1,u_len)')];
size(u_and_theta);
%u=u_vec(1); %TODO: change to maximum later
%theta=theta_vec(1); 
myboot=zeros(MonteCarlo,Total_pair); %TODO: change 1 to length(u_vec)*length(theta_vec) later
for ii=1:MonteCarlo
    epsilon=normrnd(0,1,N,1); %epsilon
    for jj=1:Total_pair
        u=u_and_theta(jj,1);
        theta=u_and_theta(jj,2);
        myboot(ii,jj)=my_spectral_estimate(epsilon,n,Bn,u,theta);
    end
end
%myboot=sort(myboot,'ascend');
%% temp TODO: changed sample mean to the expectation 
avgboot=mean(myboot,1);
%avgboot

myboot=(myboot./repmat(avgboot,MonteCarlo,1)-1).^2; % (myboot-avgboot)^2/avgboot^2
%myboot=(1-repmat(avgboot,MonteCarlo,1)./myboot).^2; % (myboot-avgboot)^2/myboot^2
my_maxdev=max(myboot,[],2);
my_maxdev=sort(my_maxdev,'ascend');
figure(1);hist(my_maxdev);title('Empirical Distribution of Bootstrapped Data'); axis([0 10 0 inf]);
%%
%left_index=max(round(MonteCarlo*((1-per)/2)),1);
right_index=floor(MonteCarlo*per);
%ll=my_maxdev(left_index);
ll=0;
rr=my_maxdev(right_index);