function per=my_conf_int_test(u_vec,theta_vec,N,n,Bn,MonteCarlo,ll,rr)
%% Generating data from Model: X[i]=0.75*cos(2*pi*(i/N))X[i-1]+e[i]
u_len=length(u_vec);
t_len=length(theta_vec);
%% debug
if u_len~=size(u_vec,1) | t_len~=size(theta_vec,1)
    disp('error in my_boostrap: u and theta should be column vector');
    ll=nan; rr=nan;
    return
end
%%
Total_pair=u_len*t_len;
u_and_theta=[repmat(u_vec,t_len,1),vec(repmat(theta_vec,1,u_len)')];
size(u_and_theta);
%u=u_vec(1); %TODO: change to maximum later
%theta=theta_vec(1); 
myboot=zeros(MonteCarlo,Total_pair); %TODO: change 1 to length(u_vec)*length(theta_vec) later
for ii=1:MonteCarlo
    epsilon=normrnd(0,1,N,1); %epsilon
    X=epsilon;
    for iii=2:N 
        %% the model  X[i]=0.75*cos(2*pi*(i/N))X[i-1]+e[i]
        X(iii)=0.75*cos(2*pi*(iii/N))*X(iii-1)+epsilon(iii);
        % 
    end
    for jj=1:Total_pair
        u=u_and_theta(jj,1);
        theta=u_and_theta(jj,2);
        myboot(ii,jj)=my_spectral_estimate(X,n,Bn,u,theta);
    end
end
%myboot=sort(myboot,'ascend');
%% temp TODO: changed sample mean to the expectation 
avgboot=mean(myboot,1);
%avgboot
myboot=(myboot./repmat(avgboot,MonteCarlo,1)-1).^2; % (myboot-avgboot)^2/avgboot^2
%myboot=(1-repmat(avgboot,MonteCarlo,1)./myboot).^2; % (myboot-avgboot)^2/myboot^2
my_maxdev=max(myboot,[],2);
%my_maxdev=sort(my_maxdev,'ascend');
figure(2);hist(my_maxdev);title('Monte Carlo Experiments of Non-stationary Data');axis([0 10 0 inf]);
%%
per=length(find(my_maxdev>ll & my_maxdev<rr))/MonteCarlo;
